#261 correct-olaps terminated

correction
pending
None
1
2015-02-03
2013-10-26
zhouqi
No

Hi,

I’m using MaSuRCA assembler which takes CA6.0 as core and I got the some error message. Any input would be very much appreciated. My command is:

runCA gkpFixInsertSizes=0 jellyfishHashSize=10000000000 ovlRefBlockSize=1225516 ovlHashBlockSize=122551 ovlCorrBatchSize=40000000 utgErrorRate=0.03 merylMemory=8192 ovlMemory=8GB stopAfter=unitigger ovlMerThreshold=75 bogBreakAtIntersections=0 unitigger=bog bogBadMateDepth=1000000 -p genome -d CA merylThreads=32 frgCorrThreads=1 frgCorrConcurrency=48 cnsConcurrency=48 ovlCorrConcurrency=8 ovlConcurrency=48 ovlThreads=1 doFragmentCorrection=1 doOverlapBasedTrimming=1 doExtendClearRanges=2 ovlMerSize=22 superReadSequences_shr.frg /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/Genomic_reads/Dmir.female.454.frg f5.cor.clean.frg m5.cor.clean.frg f1.cor.clean.frg f2.cor.clean.frg m2.cor.clean.frg 1> runCA0.out 2>&1

and the error message is:

----------------------------------------END CONCURRENT Fri Oct 25 21:36:34 2013 (64 seconds)
Overlap correction job 1 (/jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/MaSuRCA-2.1.0/CA/3-overlapcorrection/0001) failed.
================================================================================

runCA failed.


Stack trace:

at /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/bin/runCA line 1121
main::caFailure('1 overlap correction jobs failed; remove /jbods/data01/DATA/d...', undef) called at /jbods/data01/DATA/dmiran
da/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/bin/runCA line 3019
main::overlapCorrection() called at /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/
bin/runCA line 5343


Failure message:

1 overlap correction jobs failed; remove /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/MaSuRCA-2.1.0/CA/3-overlapcorrection
/ovlcorr.sh (or run by hand) to try again

buffer overflow detected : /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/bin/correct-olaps terminated
======= Backtrace: =========
/lib/libc.so.6(fortify_fail+0x37)[0x7f474f7fcb47]
/lib/libc.so.6(+0xfea00)[0x7f474f7fba00]
/jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/bin/correct-olaps[0x4030ee]
/jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/bin/correct-olaps[0x40520c]
/lib/libc.so.6(
libc_start_main+0xfe)[0x7f474f71bd8e]
/jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/bin/correct-olaps[0x402279]
======= Memory map: ========
00400000-00427000 r-xp 00000000 08:21 40083 /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/bin/correct-olaps
00626000-00627000 r--p 00026000 08:21 40083 /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/bin/correct-olaps
00627000-00628000 rw-p 00027000 08:21 40083 /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/new/MaSuRCA-2.1.0/CA/Linux-amd64/bin/correct-olaps
00628000-00636000 rw-p 00000000 00:00 0
01234000-68f4b000 rw-p 00000000 00:00 0 [heap]
7f46690d9000-7f46690da000 ---p 00000000 00:00 0
7f46690da000-7f4669ada000 rw-p 00000000 00:00 0
7f4669ada000-7f4669adb000 ---p 00000000 00:00 0
7f4669adb000-7f466a4db000 rw-p 00000000 00:00 0
7f466a4db000-7f466a4dc000 ---p 00000000 00:00 0
7f466a4dc000-7f466aedc000 rw-p 00000000 00:00 0
7f466b8dd000-7f474f6fd000 rw-p 00000000 00:00 0
7f474f6fd000-7f474f877000 r-xp 00000000 08:31 918102 /lib/libc-2.12.1.so
7f474f877000-7f474fa77000 ---p 0017a000 08:31 918102 /lib/libc-2.12.1.so
7f474fa77000-7f474fa7b000 r--p 0017a000 08:31 918102 /lib/libc-2.12.1.so
7f474fa7b000-7f474fa7c000 rw-p 0017e000 08:31 918102 /lib/libc-2.12.1.so
7f474fa7c000-7f474fa81000 rw-p 00000000 00:00 0
7f474fa81000-7f474fa96000 r-xp 00000000 08:31 917564 /lib/libgcc_s.so.1
7f474fa96000-7f474fc95000 ---p 00015000 08:31 917564 /lib/libgcc_s.so.1
7f474fc95000-7f474fc96000 r--p 00014000 08:31 917564 /lib/libgcc_s.so.1
7f474fc96000-7f474fc97000 rw-p 00015000 08:31 917564 /lib/libgcc_s.so.1
7f474fc97000-7f474fd19000 r-xp 00000000 08:31 918106 /lib/libm-2.12.1.so
7f474fd19000-7f474ff18000 ---p 00082000 08:31 918106 /lib/libm-2.12.1.so
7f474ff18000-7f474ff19000 r--p 00081000 08:31 918106 /lib/libm-2.12.1.so
7f474ff19000-7f474ff1a000 rw-p 00082000 08:31 918106 /lib/libm-2.12.1.so
7f474ff1a000-7f4750002000 r-xp 00000000 08:31 14684593 /usr/lib/libstdc++.so.6.0.14
7f4750002000-7f4750201000 ---p 000e8000 08:31 14684593 /usr/lib/libstdc++.so.6.0.14
7f4750201000-7f4750209000 r--p 000e7000 08:31 14684593 /usr/lib/libstdc++.so.6.0.14
7f4750209000-7f475020b000 rw-p 000ef000 08:31 14684593 /usr/lib/libstdc++.so.6.0.14
7f475020b000-7f4750220000 rw-p 00000000 00:00 0
7f4750220000-7f4750248000 r-xp 00000000 08:21 34381 /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/MaSuRCA-2.1.0/lib/libjellyfish-2.0.so.2.0.0
7f4750248000-7f4750448000 ---p 00028000 08:21 34381 /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/MaSuRCA-2.1.0/lib/libjellyfish-2.0.so.2.0.0
7f4750448000-7f4750449000 r--p 00028000 08:21 34381 /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/MaSuRCA-2.1.0/lib/libjellyfish-2.0.so.2.0.0
7f4750449000-7f475044a000 rw-p 00029000 08:21 34381 /jbods/data01/DATA/dmiranda/assemblyV3/D.miranda/MaSuRCA/MaSuRCA-2.1.0/lib/libjellyfish-2.0.so.2.0.0
7f475044a000-7f4750462000 r-xp 00000000 08:31 918123 /lib/libpthread-2.12.1.so
7f4750462000-7f4750661000 ---p 00018000 08:31 918123 /lib/libpthread-2.12.1.so
7f4750661000-7f4750662000 r--p 00017000 08:31 918123 /lib/libpthread-2.12.1.so
7f4750662000-7f4750663000 rw-p 00018000 08:31 918123 /lib/libpthread-2.12.1.so
7f4750663000-7f4750667000 rw-p 00000000 00:00 0
7f4750667000-7f4750687000 r-xp 00000000 08:31 918051 /lib/ld-2.12.1.so
7f475085b000-7f4750861000 rw-p 00000000 00:00 0
7f4750878000-7f4750887000 rw-p 00000000 00:00 0
7f4750887000-7f4750888000 r--p 00020000 08:31 918051 /lib/ld-2.12.1.so
7f4750888000-7f4750889000 rw-p 00021000 08:31 918051 /lib/ld-2.12.1.so
7f4750889000-7f475088a000 rw-p 00000000 00:00 0
7fff824ab000-7fff824cd000 rw-p 00000000 00:00 0 [stack]
7fff82583000-7fff82584000 r-xp 00000000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]

Discussion

  • Matt MacManes

    Matt MacManes - 2015-01-16

    I am having what appears to be a similar issue: Any way to resolve this? This is CA 8.1.

    *** buffer overflow detected ***: /share/MaSuRCA-2.3.2/CA/Linux-amd64/bin/correct-olaps terminated
    ======= Backtrace: =========
    /lib/x86_64-linux-gnu/libc.so.6(+0x73e0f)[0x7f4a8c88be0f]
    /lib/x86_64-linux-gnu/libc.so.6(__fortify_fail+0x5c)[0x7f4a8c92371c]
    /lib/x86_64-linux-gnu/libc.so.6(+0x10a5e0)[0x7f4a8c9225e0]
    /share/MaSuRCA-2.3.2/CA/Linux-amd64/bin/correct-olaps[0x403cb2]
    /share/MaSuRCA-2.3.2/CA/Linux-amd64/bin/correct-olaps[0x402597]
    /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f4a8c839ec5]
    /share/MaSuRCA-2.3.2/CA/Linux-amd64/bin/correct-olaps[0x402c96]
    ======= Memory map: ========
    00400000-00427000 r-xp 00000000 08:12 2282685                            /share/MaSuRCA-2.3.2/CA/Linux-amd64/bin/correct-olaps
    00626000-00627000 r--p 00026000 08:12 2282685                            /share/MaSuRCA-2.3.2/CA/Linux-amd64/bin/correct-olaps
    00627000-00628000 rw-p 00027000 08:12 2282685                            /share/MaSuRCA-2.3.2/CA/Linux-amd64/bin/correct-olaps
    00628000-00636000 rw-p 00000000 00:00 0
    0127f000-0d9ce000 rw-p 00000000 00:00 0                                  [heap]
    7f4a7861f000-7f4a78620000 ---p 00000000 00:00 0
    7f4a78620000-7f4a78e20000 rw-p 00000000 00:00 0
    7f4a78e20000-7f4a78e21000 ---p 00000000 00:00 0
    7f4a78e21000-7f4a79621000 rw-p 00000000 00:00 0
    7f4a79621000-7f4a79622000 ---p 00000000 00:00 0
    7f4a79622000-7f4a79e22000 rw-p 00000000 00:00 0
    7f4a79e22000-7f4a79e23000 ---p 00000000 00:00 0
    7f4a79e23000-7f4a8bda8000 rw-p 00000000 00:00 0
    7f4a8bda8000-7f4a8bdab000 r-xp 00000000 08:12 1182764                    /lib/x86_64-linux-gnu/libdl-2.19.so
    7f4a8bdab000-7f4a8bfaa000 ---p 00003000 08:12 1182764                    /lib/x86_64-linux-gnu/libdl-2.19.so
    7f4a8bfaa000-7f4a8bfab000 r--p 00002000 08:12 1182764                    /lib/x86_64-linux-gnu/libdl-2.19.so
    7f4a8bfab000-7f4a8bfac000 rw-p 00003000 08:12 1182764                    /lib/x86_64-linux-gnu/libdl-2.19.so
    7f4a8bfb0000-7f4a8bfba000 r-xp 00000000 08:12 2894168                    /usr/lib/x86_64-linux-gnu/libnuma.so.1
    7f4a8bfba000-7f4a8c1b9000 ---p 0000a000 08:12 2894168                    /usr/lib/x86_64-linux-gnu/libnuma.so.1
    7f4a8c1b9000-7f4a8c1ba000 r--p 00009000 08:12 2894168                    /usr/lib/x86_64-linux-gnu/libnuma.so.1
    7f4a8c1ba000-7f4a8c1bb000 rw-p 0000a000 08:12 2894168                    /usr/lib/x86_64-linux-gnu/libnuma.so.1
    7f4a8c1c0000-7f4a8c1c9000 r-xp 00000000 08:12 2902341                    /usr/lib/x86_64-linux-gnu/libltdl.so.7.3.0
    7f4a8c1c9000-7f4a8c3c8000 ---p 00009000 08:12 2902341                    /usr/lib/x86_64-linux-gnu/libltdl.so.7.3.0
    7f4a8c3c8000-7f4a8c3c9000 r--p 00008000 08:12 2902341                    /usr/lib/x86_64-linux-gnu/libltdl.so.7.3.0
    7f4a8c3c9000-7f4a8c3ca000 rw-p 00009000 08:12 2902341                    /usr/lib/x86_64-linux-gnu/libltdl.so.7.3.0
    7f4a8c3d0000-7f4a8c40e000 r-xp 00000000 08:12 2885321                    /usr/lib/x86_64-linux-gnu/libhwloc.so.5.4.0
    7f4a8c40e000-7f4a8c60e000 ---p 0003e000 08:12 2885321                    /usr/lib/x86_64-linux-gnu/libhwloc.so.5.4.0
    7f4a8c60e000-7f4a8c60f000 r--p 0003e000 08:12 2885321                    /usr/lib/x86_64-linux-gnu/libhwloc.so.5.4.0
    7f4a8c60f000-7f4a8c610000 rw-p 0003f000 08:12 2885321                    /usr/lib/x86_64-linux-gnu/libhwloc.so.5.4.0
    7f4a8c610000-7f4a8c612000 r-xp 00000000 08:12 1180132                    /lib/x86_64-linux-gnu/libutil-2.19.so
    7f4a8c612000-7f4a8c811000 ---p 00002000 08:12 1180132                    /lib/x86_64-linux-gnu/libutil-2.19.so
    7f4a8c811000-7f4a8c812000 r--p 00001000 08:12 1180132                    /lib/x86_64-linux-gnu/libutil-2.19.so
    7f4a8c812000-7f4a8c813000 rw-p 00002000 08:12 1180132                    /lib/x86_64-linux-gnu/libutil-2.19.so
    7f4a8c818000-7f4a8c9d3000 r-xp 00000000 08:12 1182770                    /lib/x86_64-linux-gnu/libc-2.19.so
    7f4a8c9d3000-7f4a8cbd3000 ---p 001bb000 08:12 1182770                    /lib/x86_64-linux-gnu/libc-2.19.so
    7f4a8cbd3000-7f4a8cbd7000 r--p 001bb000 08:12 1182770                    /lib/x86_64-linux-gnu/libc-2.19.so
    7f4a8cbd7000-7f4a8cbd9000 rw-p 001bf000 08:12 1182770                    /lib/x86_64-linux-gnu/libc-2.19.so
    7f4a8cbd9000-7f4a8cbde000 rw-p 00000000 00:00 0
    7f4a8cbe0000-7f4a8cbf6000 r-xp 00000000 08:12 1179661                    /lib/x86_64-linux-gnu/libgcc_s.so.1
    7f4a8cbf6000-7f4a8cdf5000 ---p 00016000 08:12 1179661                    /lib/x86_64-linux-gnu/libgcc_s.so.1
    7f4a8cdf5000-7f4a8cdf6000 rw-p 00015000 08:12 1179661                    /lib/x86_64-linux-gnu/libgcc_s.so.1
    7f4a8cdf8000-7f4a8cefd000 r-xp 00000000 08:12 1180124                    /lib/x86_64-linux-gnu/libm-2.19.so
    7f4a8cefd000-7f4a8d0fc000 ---p 00105000 08:12 1180124                    /lib/x86_64-linux-gnu/libm-2.19.so
    7f4a8d0fc000-7f4a8d0fd000 r--p 00104000 08:12 1180124                    /lib/x86_64-linux-gnu/libm-2.19.so
    7f4a8d0fd000-7f4a8d0fe000 rw-p 00105000 08:12 1180124                    /lib/x86_64-linux-gnu/libm-2.19.so
    7f4a8d100000-7f4a8d1e6000 r-xp 00000000 08:12 2884639                    /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.19
    7f4a8d1e6000-7f4a8d3e5000 ---p 000e6000 08:12 2884639                    /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.19
    7f4a8d3e5000-7f4a8d3ed000 r--p 000e5000 08:12 2884639                    /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.19
    7f4a8d3ed000-7f4a8d3ef000 rw-p 000ed000 08:12 2884639                    /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.19
    7f4a8d3ef000-7f4a8d404000 rw-p 00000000 00:00 0
    7f4a8d408000-7f4a8d421000 r-xp 00000000 08:12 1180130                    /lib/x86_64-linux-gnu/libpthread-2.19.so
    7f4a8d421000-7f4a8d620000 ---p 00019000 08:12 1180130                    /lib/x86_64-linux-gnu/libpthread-2.19.so
    7f4a8d620000-7f4a8d621000 r--p 00018000 08:12 1180130                    /lib/x86_64-linux-gnu/libpthread-2.19.so
    7f4a8d621000-7f4a8d622000 rw-p 00019000 08:12 1180130                    /lib/x86_64-linux-gnu/libpthread-2.19.so
    7f4a8d622000-7f4a8d626000 rw-p 00000000 00:00 0
    7f4a8d628000-7f4a8d77e000 r-xp 00000000 08:12 405785                     /usr/lib/openmpi/lib/libmpi.so.1.0.8
    7f4a8d77e000-7f4a8d97d000 ---p 00156000 08:12 405785                     /usr/lib/openmpi/lib/libmpi.so.1.0.8
    7f4a8d97d000-7f4a8d982000 r--p 00155000 08:12 405785                     /usr/lib/openmpi/lib/libmpi.so.1.0.8
    7f4a8d982000-7f4a8d993000 rw-p 0015a000 08:12 405785                     /usr/lib/openmpi/lib/libmpi.so.1.0.8
    7f4a8d993000-7f4a8d9a9000 rw-p 00000000 00:00 0
    7f4a8d9b0000-7f4a8d9d3000 r-xp 00000000 08:12 1182767                    /lib/x86_64-linux-gnu/ld-2.19.so
    7f4a8db0b000-7f4a8db0c000 rw-p 00000000 00:00 0
    7f4a8dbc0000-7f4a8dbd2000 rw-p 00000000 00:00 0
    7f4a8dbd2000-7f4a8dbd3000 r--p 00022000 08:12 1182767                    /lib/x86_64-linux-gnu/ld-2.19.so
    7f4a8dbd3000-7f4a8dbd4000 rw-p 00023000 08:12 1182767                    /lib/x86_64-linux-gnu/ld-2.19.so
    7f4a8dbd4000-7f4a8dbd6000 rw-p 00000000 00:00 0
    7f4a8dbd6000-7f4a8dbda000 rw-p 00000000 00:00 0
    7fff9e20a000-7fff9e22c000 rw-p 00000000 00:00 0                          [stack]
    7fff9e400000-7fff9e402000 r-xp 00000000 00:00 0                          [vdso]
    ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
    
     
  • Brian Walenz

    Brian Walenz - 2015-02-03

    I can't reproduce this using valgrind on CA 8.2 (Masurca is using CA 6.1). It's possible we already fixed the problem.

    Can either of you compile with debug symbols and run in a debugger, or best, with valgrind?

    The alternative is to disable this module: doFragmentCorrection=0.

    The impact should be relatively minor. All this module does is update the overlap error rate using guesses about where sequencing errors are. The masurca reads should be pretty clean.

     
  • Brian Walenz

    Brian Walenz - 2015-02-03
    • status: open --> pending
    • assigned_to: Brian Walenz
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks